List platforms
curl --request GET \
--url https://api.getdialed.ai/v1/catalog/platformsimport requests
url = "https://api.getdialed.ai/v1/catalog/platforms"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getdialed.ai/v1/catalog/platforms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"icon": "five9",
"id": "five9",
"name": "Five9",
"status": "active",
"tags": [
"contact-center",
"voice"
],
"tenancy_unit": {
"key_field": "domain_id",
"key_source": "getVCCConfiguration.domainId",
"name": "Domain",
"plural": "Domains"
}
}
],
"limit": 123,
"skip": 123,
"total": 123,
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Rate limit exceeded: 100 per 1 minute"
}Catalog — /v1/catalog
List platforms
List integration platforms in the public catalog. Filter by status, sort by sort_by/order, and paginate with limit/skip. No authentication required.
GET
/
catalog
/
platforms
List platforms
Query Parameters
Available options:
active, inactive, coming_soon Available options:
name Sort direction for list endpoints that accept a sort_by field.
Available options:
asc, desc Required range:
1 <= x <= 500Required range:
x >= 0